# WOK
TKWOK
WOKOrbix

# WOKOrbix_IDLCompilerIterator Class Reference

`#include <WOKOrbix_IDLCompilerIterator.hxx>`

Inheritance diagram for WOKOrbix_IDLCompilerIterator:

[legend]

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | WOKOrbix_IDLCompilerIterator (const Handle(TCollection_HAsciiString)&toolgroup, const WOKUtils_Param &params)
Standard_EXPORT | WOKOrbix_IDLCompilerIterator (const Handle(WOKBuilder_HSequenceOfToolInShell)&tools)
Standard_EXPORT | WOKOrbix_IDLCompilerIterator (const Handle(TCollection_HAsciiString)&toolgroup, const Handle(WOKUtils_Shell)&ashell, const Handle(WOKUtils_Path)&adir, const Handle(WOKUtils_HSequenceOfPath)&incdirs, const WOKUtils_Param &params)
Standard_EXPORT void | Init (const Handle(WOKUtils_Shell)&ashell, const Handle(WOKUtils_Path)&adir, const Handle(WOKUtils_HSequenceOfPath)&incdirs)
Standard_EXPORT void | SetIncludeDirectories (const Handle(WOKUtils_HSequenceOfPath)&incdirs)
Standard_EXPORT Handle_WOKUtils_HSequenceOfPath | IncludeDirectories () const
virtual Standard_EXPORT Handle_WOKBuilder_ToolInShell | GetTool (const Handle(TCollection_HAsciiString)&aname, const WOKUtils_Param &params) const
Standard_EXPORT WOKBuilder_BuildStatus | Execute (const Handle(WOKOrbix_IDLFile)&anidl)

## Private Attributes

Handle_WOKUtils_HSequenceOfPath | myincdirs

## Constructor & Destructor Documentation

Standard_EXPORT WOKOrbix_IDLCompilerIterator::WOKOrbix_IDLCompilerIterator | ( | const Handle(TCollection_HAsciiString)& | toolgroup,
|  | const WOKUtils_Param & | params
| ) |

Standard_EXPORT WOKOrbix_IDLCompilerIterator::WOKOrbix_IDLCompilerIterator | ( | const Handle(WOKBuilder_HSequenceOfToolInShell)& | tools | ) |

Standard_EXPORT WOKOrbix_IDLCompilerIterator::WOKOrbix_IDLCompilerIterator | ( | const Handle(TCollection_HAsciiString)& | toolgroup,
|  | const Handle(WOKUtils_Shell)& | ashell,
|  | const Handle(WOKUtils_Path)& | adir,
|  | const Handle(WOKUtils_HSequenceOfPath)& | incdirs,
|  | const WOKUtils_Param & | params
| ) |

## Member Function Documentation

Standard_EXPORT WOKBuilder_BuildStatus WOKOrbix_IDLCompilerIterator::Execute | ( | const Handle(WOKOrbix_IDLFile)& | anidl | ) |

virtual Standard_EXPORT Handle_WOKBuilder_ToolInShell WOKOrbix_IDLCompilerIterator::GetTool | ( | const Handle(TCollection_HAsciiString)& | aname,
|  | const WOKUtils_Param & | params
| ) | const`[virtual]`

| Reimplemented from WOKBuilder_ToolInShellIterator.

Standard_EXPORT Handle_WOKUtils_HSequenceOfPath WOKOrbix_IDLCompilerIterator::IncludeDirectories | ( |  | ) | const

Standard_EXPORT void WOKOrbix_IDLCompilerIterator::Init | ( | const Handle(WOKUtils_Shell)& | ashell,
|  | const Handle(WOKUtils_Path)& | adir,
|  | const Handle(WOKUtils_HSequenceOfPath)& | incdirs
| ) |

void WOKOrbix_IDLCompilerIterator::operator delete | ( | void * | anAddress | ) | `[inline]`

| Reimplemented from WOKBuilder_ToolInShellIterator.

void* WOKOrbix_IDLCompilerIterator::operator new | ( | size_t | size | ) | `[inline]`

| Reimplemented from WOKBuilder_ToolInShellIterator.

void* WOKOrbix_IDLCompilerIterator::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

| Reimplemented from WOKBuilder_ToolInShellIterator.

Standard_EXPORT void WOKOrbix_IDLCompilerIterator::SetIncludeDirectories | ( | const Handle(WOKUtils_HSequenceOfPath)& | incdirs | ) |

## Field Documentation

Handle_WOKUtils_HSequenceOfPath WOKOrbix_IDLCompilerIterator::myincdirs `[private]`

The documentation for this class was generated from the following file:

- WOKOrbix_IDLCompilerIterator.hxx